Bug 168341 - kernel BUG at timer.c:452!
kernel BUG at timer.c:452!
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 01:46 EDT by ken larue
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ken larue 2005-09-15 01:46:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.4) Gecko/20041214

Description of problem:
The kernel (Red Hat Advanced Server 3.0)crashes at the following:

The code which seemed to be causing the issue
was modified to use mod_timer instead of add_timer,
yet the problem persists. It seems like when 2 print jobs are send at the same time, one of the opens response ACK.


------------[ cut here ]------------
kernel BUG at timer.c:452!
invalid operand: 0000
utio ide-cd cdrom lp parport autofs utadem soundcore tg3 floppy keybdev 
mousedev hid input usb-ohci usbcore ext3 jbd mptscsih mptbase sd_mod 
scsi_mod
CPU:    0
EIP:    0060:[<c0131435>]    Not tainted
EFLAGS: 00010002

EIP is at cascade [kernel] 0x75 (2.4.21-4.ELsmp)
eax: f75cbe9c   ebx: f75cbe7c   ecx: 00000028   edx: f75cbe7c
esi: c03757cc   edi: c0374e80   ebp: 00000028   esp: c03ddee0
ds: 0068   es: 0068   ss: 0068
Process swapper (pid: 0, stackpage=c03dd000)
Stack: c0373e40 c47f18cc 00000000 00000001 c0374e80 c03ddf08 c0132463 
c0374e80


Version-Release number of selected component (if applicable):
2.4.21-4.ELsmp

How reproducible:
Always

Steps to Reproduce:
When printing to one usb printer it is fine, but if they hook up a 
usb printer to a Sun Ray 1g and then on another Sun Ray 1g have 
another usb printer (could be same type of printer have tried 
sveral but did not make a difference) and then from Star Office or 
any other application you try to print at the same time then you 
get the bellow error. They have applied the SRSS 3.0 patch 
119836-01 but have an effect. They did try this with Solaris 10 and 
SRSS 3.1 and did not see the problem. They did see the problem with 
SRSS 3.1 and Lunix.

Actual Results:  kernel BUG at timer.c:452!
invalid operand: 0000
utio ide-cd cdrom lp parport autofs utadem soundcore tg3 floppy keybdev 
mousedev hid input usb-ohci usbcore ext3 jbd mptscsih mptbase sd_mod 
scsi_mod
CPU:    0
EIP:    0060:[<c0131435>]    Not tainted
EFLAGS: 00010002

EIP is at cascade [kernel] 0x75 (2.4.21-4.ELsmp)
eax: f75cbe9c   ebx: f75cbe7c   ecx: 00000028   edx: f75cbe7c
esi: c03757cc   edi: c0374e80   ebp: 00000028   esp: c03ddee0
ds: 0068   es: 0068   ss: 0068
Process swapper (pid: 0, stackpage=c03dd000)
Stack: c0373e40 c47f18cc 00000000 00000001 c0374e80 c03ddf08 c0132463 
c0374e80


Expected Results:  both jobs should print

Additional info:
Comment 1 Suzanne Hillman 2005-09-15 14:29:48 EDT
As you have labeled this bug as high severity, you might want to submit 
this bug report through support. In order to file a support issue, please 
either contact Red Hat's Technical Support line at 888-GO-REDHAT or file 
a web ticket at http://www.redhat.com/apps/support/.  Bugzilla is not an 
official support channel, has no response guarantees, and may not route 
your issue to the correct area to assist you.  Using the official support
channels above will guarantee that your issue is handled appropriately and 
routed to the individual or group which can best assist you with this 
issue and will also allow Red Hat to track the issue, ensuring that any 
applicable bug fix is included in all releases and is not dropped from 
a future update or major release.
Comment 2 Ernie Petrides 2005-09-15 16:05:51 EDT
Does this problem occur under the latest released RHEL3 kernel (version
2.4.21-32.0.1.EL released almost 4 months ago in advisory RHSA-2005:472)?
Comment 3 ken larue 2005-09-29 13:49:37 EDT
Yes it does.
Comment 14 RHEL Product and Program Management 2007-10-19 14:54:22 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.